-- Gives some rights to the admin at start of the world

minetest.register_privilege(
    'teacher',
    {
        description = "Gives teacher privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'interact',
    {
        description = "Gives interact privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'fly',
    {
        description = "Gives fly privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'creative',
    {
        description = "Gives creative privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'shout',
    {
        description = "Gives shout privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'fast',
    {
        description = "Gives fast privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'home',
    {
        description = "Gives home privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'zoom',
    {
        description = "Gives zoom privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'bring',
    {
        description = "Gives bring privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'teleport',
    {
        description = "Gives teleport privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'settime',
    {
        description = "Gives settime privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'noclip',
    {
        description = "Gives noclip privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'rollback',
    {
        description = "Gives rollback privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'give',
    {
        description = "Gives give privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)



minetest.register_privilege(
    'protection_bypass',
    {
        description = "Gives protection_bypass privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)


minetest.register_privilege(
    'ui_full',
    {
        description = "Gives ui_full privilege to admin",
        give_to_singleplayer = false,
        give_to_admin = true,
    }
)